Index: GTP/trunk/Lib/Vis/Preprocessing/work/plots/plot_sampling
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/work/plots/plot_sampling	(revision 2038)
+++ GTP/trunk/Lib/Vis/Preprocessing/work/plots/plot_sampling	(revision 2147)
@@ -2,5 +2,5 @@
 
 #PREFIX=osp-rss-single
-PREFIX=osp-pompeii3-1e5
+PREFIX=osp-PIXEL3
 #PREFIX=osp-rss2
     
@@ -19,5 +19,5 @@
 #"
 
-#FILES="`ls $PREFIX*.log`"
+FILES="`ls $PREFIX*.log`"
 
 #FILES="osp-1e5-i-mixed-b1-n4g.log osp-1e5-i-mixed-b1-n4h.log osp-1e5-i-mixed-b1-n4i.log"
@@ -36,5 +36,7 @@
 
 # Pompeii plots
-FILES="osp-pompeii4-1e5-i-mixed-b1-n4n.log osp-pompeii4-1e5-r-reference-global.log osp-pompeii4-1e5-r-reference.log"
+#FILES="osp-pompeii4-1e5-i-mixed-b1-n4n.log osp-pompeii4-1e5-i-mixed-bvh-n4n.log osp-pompeii4-1e5-r-reference-global.log osp-pompeii4-1e5-r-reference.log"
+#FILES="osp-pompeii4-1e5-i-mixed-bvh-n4n.log osp-pompeii4-1e5-r-bvh-reference-global.log osp-pompeii4-1e5-r-bvh-reference.log"
+
 
 # Arena plots
@@ -42,4 +44,10 @@
 
 # Power plant plots
+
+#FILES="osp-powerplant-1e5-i-mixed-b1-n4a.log osp-powerplant-1e5-i-mixed-b1-n4b.log osp-powerplant-1e5-r-reference-global.log osp-powerplant-1e5-r-reference.log"
+
+#pixel error
+#FILES="osp-PIXEL-1e5-i-mixed-b1-n4l.log"
+
 
 ################################
@@ -108,15 +116,16 @@
 #./showplot $PREFIX-avgfilteredpvs
 
-$COMMAND1 $STYLE TotalSamples AvgPvsRenderError $FILES
-./showplot $PREFIX-avgpvsrendererror
 
-$COMMAND1 $STYLE TotalSamples AvgPixelError $FILES
+$COMMAND2 $STYLE TotalSamples AvgPixelError $FILES
 ./showplot $PREFIX-avgpixelerror
 
-$COMMAND1 $STYLE TotalSamples MaxPvsRenderError $FILES
-./showplot $PREFIX-maxpvsrendererror
+$COMMAND2 $STYLE TotalSamples MaxPixelError $FILES
+./showplot $PREFIX-maxpixelerror
 
 $COMMAND2 $STYLE TotalSamples ErrorFreeFrames $FILES
 ./showplot $PREFIX-errorfreeframes
+
+
+#./ps_multi_plot lines osp-PIXEL2-1e5-i-mixed-b1-n4l.log TotalSamples Distribution0 Distribution1 Distribution2
 
 #	  "#AvgPvsRenderError\n" <<renderer->mPvsStat.GetAvgError()<<endl<<
Index: GTP/trunk/Lib/Vis/Preprocessing/work/plots/ps_memory_plot
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/work/plots/ps_memory_plot	(revision 1754)
+++ GTP/trunk/Lib/Vis/Preprocessing/work/plots/ps_memory_plot	(revision 2147)
@@ -18,4 +18,5 @@
 echo set ylabel \"$3\" >> $FILE
 # echo set boxwidth 0.4 >> $FILE
+
 
 echo set logscale y >> $FILE
Index: GTP/trunk/Lib/Vis/Preprocessing/src/run_test2
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/run_test2	(revision 2076)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/run_test2	(revision 2147)
@@ -38,5 +38,5 @@
 # VIEWCELLS=../data/Pompeii/pompeii_big-seq-viewcells.xml.gz
 
-PREFIX=../work/plots/osp-TEST-1e5
+PREFIX=../work/plots/osp-TEST
 
 #SCENE=../data/atlanta/atlanta2.x3d
@@ -46,99 +46,7 @@
 $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
 -rss_distributions=mutation+object_direction+spatial \
--view_cells_use_kd_pvs+ -af_use_kd_pvs- \
+-view_cells_use_kd_pvs+ -af_use_kd_pvs+ \
 -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4a.xml \
 -preprocessor_stats=$PREFIX-i-mixed-b1-n4a.log \
 -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4a.hlog
 
-# # $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# # -preprocessor_visibility_file=$PREFIX-r-reference.xml \
-# # -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
-# # -preprocessor_histogram_file=$PREFIX-r-reference.hlog
-
-# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# -rss_distributions=mutation+object_direction+spatial \
-# -view_cells_filter_width=0.0 \
-# -view_cells_use_kd_pvs+ -af_use_kd_pvs- \
-# -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4b.xml \
-# -preprocessor_stats=$PREFIX-i-mixed-b1-n4b.log \
-# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4b.hlog
-
-# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# -rss_distributions=mutation+object_direction+spatial \
-# -view_cells_filter_width=1.0 \
-# -view_cells_use_kd_pvs+ -af_use_kd_pvs+ \
-# -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4c.xml \
-# -preprocessor_stats=$PREFIX-i-mixed-b1-n4c.log \
-# -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4c.hlog
-
-# # $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# # -preprocessor_visibility_file=$PREFIX-r-reference.xml \
-# # -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-reference.log \
-# # -preprocessor_histogram_file=$PREFIX-r-reference.hlog
-
-# # $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# #  -rss_distributions=direction -view_cells_filter_max_size=1 \
-# #  -preprocessor_visibility_file=$PREFIX-r-reference-global.xml \
-# #  -preprocessor_stats=$PREFIX-r-reference-global.log \
-# #  -preprocessor_histogram_file=$PREFIX-r-reference-global.hlog
-
-
-# $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
-# -view_cells_use_kd_pvs- -af_use_kd_pvs- \
-# -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4k.xml \
-# -preprocessor_stats=$PREFIX-i-mixed-bvh-n4k.log \
-# -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4k.hlog
-
-# $COMMAND -preprocessor=sampling -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# -view_cells_use_kd_pvs- -af_use_kd_pvs- \
-# -preprocessor_visibility_file=$PREFIX-r-bvh-reference.xml \
-# -view_cells_filter_max_size=1 -preprocessor_stats=$PREFIX-r-bvh-reference.log \
-# -preprocessor_histogram_file=$PREFIX-r-bvh-reference.hlog
-
-# $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# -view_cells_use_kd_pvs- -af_use_kd_pvs- \
-#  -rss_distributions=direction -view_cells_filter_max_size=1 \
-#  -preprocessor_visibility_file=$PREFIX-r-bvh-reference-global.xml \
-#  -preprocessor_stats=$PREFIX-r-bvh-reference-global.log \
-#  -preprocessor_histogram_file=$PREFIX-r-bvh-reference-global.hlog
-
-
-
-#############
-#############
-#############
-#############
-# #############
-
-
-
-# # $COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# #  -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
-# #  -view_cells_use_kd_pvs- -af_use_kd_pvs- \
-# #  -preprocessor_visibility_file=$PREFIX-i-mixed-bvh-n4i.xml \
-# #  -preprocessor_stats=$PREFIX-i-mixed-bvh-n4i.log \
-# #  -preprocessor_histogram_file=$PREFIX-i-mixed-bvh-n4i.hlog
-
-
-
-# #$COMMAND -preprocessor=combined -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# # -rss_distributions=mutation+object_direction+spatial -view_cells_filter_max_size=1 \
-# # -preprocessor_visibility_file=$PREFIX-i-mixed-b1-n4i.xml \
-# # -preprocessor_stats=$PREFIX-i-mixed-b1-n4i.log \
-# # -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n4i.hlog
-
-
-# # e - no origin mutation, silh. tm Q=2, reverse samples
-# # f - no origin, q=2, no reverse samples
-# # g - gaussian origin, q=2, reverse samples
-
-# # g, h contain pvs error estimations...
-
-# # $COMMAND -scene_filename=$SCENE -view_cells_filename=$VIEWCELLS \
-# # -rss_distributions=rss+object_direction+spatial+object+direction -view_cells_filter_max_size=1 \
-# # -preprocessor_stats=$PREFIX-i-mixed-b1-n2.log \
-# # -preprocessor_histogram_file=$PREFIX-i-mixed-b1-n2.hlog
-
-
-
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp	(revision 2059)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp	(revision 2147)
@@ -108,5 +108,5 @@
   
   ObjectPvs pvs;
-  if (0) {
+  if (1) {
 	pvs = viewcell->GetPvs();
   } else {