Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2130)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/Plugin_VisibilitySceneManager.vcproj	(revision 2168)
@@ -112,5 +112,5 @@
 				AdditionalLibraryDirectories="&quot;$(OGRE_PATH)\PlugIns\OctreeSceneManager\bin\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\OgreMain\lib\$(ConfigurationName)&quot;;&quot;$(OGRE_PATH)\Samples\Common\CEGUIRenderer\lib&quot;;&quot;$(OGRE_PATH)\Dependencies\lib\$(ConfigurationName)&quot;;&quot;..\..\..\Preprocessing\lib\$(ConfigurationName)&quot;;..\..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\Preprocessing\src\GL;..\..\..\..\..\..\..\NonGTP\Zlib\lib;&quot;..\..\lib\$(ConfigurationName)&quot;;&quot;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\IVReader\lib\$(ConfigurationName)&quot;;&quot;..\..\..\..\..\Lib\Vis\OnlineCullingCHC\ObjReader\lib\$(ConfigurationName)&quot;"
 				ModuleDefinitionFile="..\misc\OgreVisibilitySceneManager.def"
-				GenerateDebugInformation="FALSE"
+				GenerateDebugInformation="TRUE"
 				SubSystem="2"
 				OptimizeReferences="2"
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 2164)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionCullingSceneManager.cpp	(revision 2168)
@@ -1040,32 +1040,31 @@
 	if (key == "VisibilityManager")
 	{
-		* static_cast<GtpVisibility::VisibilityManager **>(val) = 
-			(GtpVisibility::VisibilityManager *)mVisibilityManager;
-		return true;
-	}
-	if (key == "HierarchInterface")
-	{
-		* static_cast<GtpVisibility::HierarchyInterface **>(val) = 
-			(GtpVisibility::HierarchyInterface *)mHierarchyInterface;
+		//Ogre::LogManager::getSingleton().logMessage("here77");
+		* static_cast<GtpVisibility::VisibilityManager **>(val) = mVisibilityManager;
+		return true;
+	}
+	if (key == "HierarchyInterface")
+	{
+		* static_cast<GtpVisibility::HierarchyInterface **>(val) = mHierarchyInterface;
 		return true;
 	}
 	if (key == "ShowTerrain")
 	{
-		* static_cast<bool *>(val) = (bool *)mShowTerrain;
+		* static_cast<bool *>(val) = mShowTerrain;
 		return true;
 	}
 	if (key == "UseDepthPass")
 	{
-		* static_cast<bool *>(val) = (bool *)mUseDepthPass;
+		* static_cast<bool *>(val) = mUseDepthPass;
 		return true;
 	}
 	if (key == "FlushQueue")
 	{
-		* static_cast<bool *>(val) = (bool *)mDeleteQueueAfterRendering;
+		* static_cast<bool *>(val) = mDeleteQueueAfterRendering;
 		return true;
 	}
 	if (key == "NormalExecution")
 	{
-		* static_cast<bool *>(val) = (bool *)mNormalExecution;
+		* static_cast<bool *>(val) = mNormalExecution;
 		return true;
 	}
Index: GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionQueriesQueryManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionQueriesQueryManager.cpp	(revision 2066)
+++ GTP/trunk/Lib/Vis/OnlineCullingCHC/OGRE/src/OgreOcclusionQueriesQueryManager.cpp	(revision 2168)
@@ -32,5 +32,5 @@
 	// disable overlays, reset them later
 	bool overlayEnabled = mViewport->getOverlaysEnabled();
-
+Ogre::LogManager::getSingleton().logMessage("here020202");
 	///////////
 	//-- render scene with item buffer (i.e., objects with their id as color codes)
@@ -209,5 +209,5 @@
 				   GtpVisibility::PatchInfoContainer *visiblePatches,
 			       bool relativeVisibility)
-{
+{Ogre::LogManager::getSingleton().logMessage("here5");
 	PlatformQueryManager::ComputeFromPointVisibility(point, visibleNodes, 
 		visibleGeometry, visiblePatches, relativeVisibility);
@@ -216,10 +216,10 @@
 	// (duplicates occur if an object is on the edge of the viewport)
 	RemoveDuplicateNodes(visibleNodes);
-	
+	Ogre::LogManager::getSingleton().logMessage("here6");
 	if (mItemBufferMode != GEOMETRY_VISIBILITY)
 	{
 		RemoveDuplicateGeometry(visibleGeometry);
 	}
-	
+	Ogre::LogManager::getSingleton().logMessage("here7");
 	if (mItemBufferMode != PATCH_VISIBILITY)
 	{
Index: GTP/trunk/Lib/Vis/Preprocessing/include/Containers.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/include/Containers.h	(revision 863)
+++ GTP/trunk/Lib/Vis/Preprocessing/include/Containers.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <vector>
-using namespace std;
+//using namespace std;
 
 namespace GtpVisibilityPreprocessor {
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SubdivisionCandidate.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SubdivisionCandidate.h	(revision 1895)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SubdivisionCandidate.h	(revision 2168)
@@ -5,5 +5,5 @@
 #include "FlexibleHeap.h"
 
-using namespace std;
+//using namespace std;
 
 namespace GtpVisibilityPreprocessor {
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.h	(revision 1958)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SceneGraph.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <string>
-using namespace std;
+//using namespace std;
 
 #include "Containers.h"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.h	(revision 1958)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Vector3.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <iostream>
-using namespace std;
+//using namespace std;
 #include <math.h>
 #include "common.h"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 2124)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 2168)
@@ -7,5 +7,5 @@
 #include "Containers.h"
 #include "ViewCell.h"
-
+//#include "ootl_map.hpp"
 
 namespace GtpVisibilityPreprocessor {
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 2164)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.vcproj	(revision 2168)
@@ -221,5 +221,5 @@
 				OptimizeForProcessor="3"
 				OptimizeForWindowsApplication="TRUE"
-				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\MultiLevelRayTracing;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;&quot;$(CG_INC_PATH)&quot;;Timer;..\src\ootl\src\;..\src\ootl\src\cpp;..\src\ootl\src\include\ootl\sandbox;..\src\ootl\src;..\src\ootl\src\include\ootl;..\src\sparsehash\src\google\sparsehash;..\src\sparsehash\src\windows;..\src\sparsehash\src\google;..\src\sparsehash\src;..\src\ootl\"
+				AdditionalIncludeDirectories="..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;..\MultiLevelRayTracing;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include&quot;;&quot;$(QTDIR)\include\QtOpenGl&quot;;&quot;$(CG_INC_PATH)&quot;;Timer;..\src\ootl\src\;..\src\ootl\src\cpp;..\src\ootl\src\include\ootl\sandbox;..\src\ootl\src;..\src\ootl\src\include\ootl;..\src\sparsehash\src\google\sparsehash;..\src\sparsehash\src\windows;..\src\sparsehash\src\google;..\src\sparsehash\src;..\src\ootl\;..\src\ootl\src\cpp\include\;..\src\ootl\src\cpp\include\ootl\mswin"
 				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;GTP_INTERNAL;USE_QT;USE_HASH_PVS"
 				ExceptionHandling="TRUE"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SamplingStrategy.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SamplingStrategy.h	(revision 2076)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SamplingStrategy.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <vector>
-using namespace std;
+//using namespace std;
 
 #include "common.h"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.h	(revision 2063)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssPreprocessor.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <fstream>
-using namespace std;
+//using namespace std;
 
 #include "Preprocessor.h"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp	(revision 2164)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.cpp	(revision 2168)
@@ -2205,5 +2205,5 @@
 	// one mesh per view cell
 	Mesh *mesh = MeshManager::GetSingleton()->CreateResource();
-
+//ootl::hash_map<int, Intersectable *> hmap(-2, NULL);
 	////////////
 	//-- construct prism
Index: GTP/trunk/Lib/Vis/Preprocessing/src/TraversalTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/TraversalTree.h	(revision 2149)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/TraversalTree.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <functional>
-using namespace std;
+//using namespace std;
 
 #include "Containers.h"
Index: GTP/trunk/Lib/Vis/Preprocessing/src/PvsBase.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/PvsBase.h	(revision 2117)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/PvsBase.h	(revision 2168)
@@ -5,5 +5,5 @@
 #include "Containers.h"
 
-using namespace std;
+//using namespace std;
 
 namespace GtpVisibilityPreprocessor {
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.h	(revision 2116)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VssRay.h	(revision 2168)
@@ -7,5 +7,5 @@
 #include "Containers.h"
 
-using namespace std;
+//using namespace std;
 
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.h	(revision 1966)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/SamplingPreprocessor.h	(revision 2168)
@@ -3,5 +3,5 @@
 
 #include <fstream>
-using namespace std;
+//using namespace std;
 
 #include "Preprocessor.h"